set terminal postscript eps enhanced "Helvetica" 25 color solid  

set key at graph 0.4, 0.7


set key bottom right 
set key spacing 1
set key samplen 1

set xlabel 'Length of reactor, (m)'
set ylabel 'Concentration of Field, A, (mol/m^3)'
set xrange [0:1.01]
set yrange [0:8]
set size 1.0,1.0

set output 'concentrationProfile_A.eps'

plot 'temp_v1.txt' u 1:2 with lines t 'v=0.05 m/s',\
     'temp_v2.txt' u 1:2 w lp t 'v=0.10 m/s',\
     'temp_v3.txt' u 1:2 w lp t 'v=0.15 m/s',\
     'temp_v4.txt' u 1:2 w lp t 'v=0.20 m/s'
