    Info<< "Reading field p\n" << endl;

    volScalarField p
    (
        IOobject
        (
            "p",
            runTime.timeName(),
            mesh,
            IOobject::MUST_READ,
            IOobject::AUTO_WRITE
        ),
        mesh
    );

    Info<< "Reading field U\n" << endl;

    volVectorField U
    (
        IOobject
        (
            "U",
            runTime.timeName(),
            mesh,
            IOobject::MUST_READ,
            IOobject::AUTO_WRITE
        ),
        mesh
    );

    // Velocity Interpolation
    #include "createPhi.H"

    Info<< "Reading field A\n" << endl;

    volScalarField A
    (
        IOobject
        (
            "A",
            runTime.timeName(),
            mesh,
            IOobject::MUST_READ,
            IOobject::AUTO_WRITE
        ),
        mesh
    );

    Info<< "Reading field B\n" << endl;

    volScalarField B
    (
        IOobject
        (
            "B",
            runTime.timeName(),
            mesh,
            IOobject::MUST_READ,
            IOobject::AUTO_WRITE
        ),
        mesh
    );

    Info<< "Reading field C\n" << endl;

    volScalarField C
    (
        IOobject
        (
            "C",
            runTime.timeName(),
            mesh,
            IOobject::MUST_READ,
            IOobject::AUTO_WRITE
        ),
        mesh
    );


    Info<< "Reading transportProperties\n" << endl;

    IOdictionary transportProperties
    (
        IOobject
        (
            "transportProperties",
            runTime.constant(),
            mesh,
            IOobject::MUST_READ_IF_MODIFIED,
            IOobject::NO_WRITE
        )
    );


    Info<< "Reading viscosity Mu\n" << endl;

    dimensionedScalar Mu
    (
        transportProperties.lookup("Mu")
    );

    Info<< "Reading permeability Kappa\n" << endl;

    dimensionedScalar Kappa
    (
        transportProperties.lookup("Kappa")
    );

    Info<< "Reading diffusivity D\n" << endl;

    dimensionedScalar D
    (
        transportProperties.lookup("D")
    );

    Info<< "Reading kinetic speed v\n" << endl;

    dimensionedScalar v
    (
        transportProperties.lookup("v")
    );


